BuilderASTTransformation.AbstractBuilderStrategy (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.transform, class: BuilderASTTransformation, class: AbstractBuilderStrategy

Package org.codehaus.groovy.transform

# Class BuilderASTTransformation.AbstractBuilderStrategy

java.lang.Object
org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy

All Implemented Interfaces:
  `BuilderASTTransformation.BuilderStrategy`

Direct Known Subclasses:
  `DefaultStrategy`, `ExternalStrategy`, `InitializerStrategy`, `SimpleStrategy`

Enclosing class:
  BuilderASTTransformation

public abstract static class BuilderASTTransformation.AbstractBuilderStrategy extends Object implements BuilderASTTransformation.BuilderStrategy

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBuilderStrategy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, String name, List<FieldNode> fields)`
  `protected void`
  `checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, String name, List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> properties)`
  `protected List<FieldNode>`
  `getFields(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee)`
  `protected boolean`
  `getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> excludes, List<String> includes)`
  `protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>`
  `getPropertyInfoFromBeanInfo(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)`
  `protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>`
  `getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes)`
  `protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>`
  `getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)`
  `protected List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>`
  `getPropertyInfoFromClassNode(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames, boolean allProperties)`
  `protected List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo>`
  `getPropertyInfos(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee, List<String> excludes, List<String> includes, boolean allNames, boolean allProperties)`
  `protected String`
  `getSetterName(String prefix, String fieldName)`
  `protected boolean`
  `unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName)`
  `protected boolean`
  `unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName, String extraMessage)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.transform.BuilderASTTransformation.BuilderStrategy

  `build`

- ## Constructor Details

  - ### AbstractBuilderStrategy

    public AbstractBuilderStrategy()

- ## Method Details

  - ### getPropertyInfoFromClassNode

    protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes)

  - ### getPropertyInfoFromClassNode

    protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)

  - ### getPropertyInfoFromBeanInfo

    protected static List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfoFromBeanInfo(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)

  - ### getSetterName

    protected String getSetterName(String prefix, String fieldName)

  - ### unsupportedAttribute

    protected boolean unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName)

  - ### unsupportedAttribute

    protected boolean unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName, String extraMessage)

  - ### checkKnownProperty

    protected void checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, String name, List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> properties)

  - ### checkKnownField

    protected void checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, String name, List<FieldNode> fields)

  - ### getIncludeExclude

    protected boolean getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> excludes, List<String> includes)

  - ### getFields

    protected List<FieldNode> getFields(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee)

  - ### getPropertyInfoFromClassNode

    protected List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfoFromClassNode(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames, boolean allProperties)

  - ### getPropertyInfos

    protected List<BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo> getPropertyInfos(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee, List<String> excludes, List<String> includes, boolean allNames, boolean allProperties)